The unified diff between revisions [2a6c9eb6..] and [743743c4..] is displayed below. It can also be downloaded as a raw diff.
This diff has been restricted to the following files: 'debian/dropbear.init'
#
#
# patch "debian/dropbear.init"
# from [0028bb9a5b87dc4c80e80ee1254ad8b5f0ca5b29]
# to [4e253cf881369fb60a74951bb77d668d9dbd7bee]
#
============================================================
--- debian/dropbear.init 0028bb9a5b87dc4c80e80ee1254ad8b5f0ca5b29
+++ debian/dropbear.init 4e253cf881369fb60a74951bb77d668d9dbd7bee
@@ -1,24 +1,22 @@
#!/bin/sh
#
-# Do not configure this file. Edit /etc/default/dropbear instead!
+# Do not configure this file. Edit /etc/default/cokedropbear instead!
#
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-DAEMON=/usr/sbin/dropbear
-NAME=dropbear
-DESC="Dropbear SSH server"
+DAEMON=/usr/sbin/cokedropbear
+NAME=cokedropbear
+DESC="UCC Dispense Dropbear SSH server"
-DROPBEAR_PORT=22
+DROPBEAR_PORT=376
DROPBEAR_EXTRA_ARGS=
NO_START=0
set -e
-cancel() { echo "$1" >&2; exit 0; };
-test ! -r /etc/default/dropbear || . /etc/default/dropbear
-test -x "$DAEMON" || cancel "$DAEMON does not exist or is not executable."
-test ! -h /var/service/dropbear || \
- cancel '/var/service/dropbear exists, service is controlled through runit.'
+test ! -r /etc/default/cokedropbear || . /etc/default/cokedropbear
+test "$NO_START" = "0" || exit 0
+test -x "$DAEMON" || exit 0
test -z "$DROPBEAR_BANNER" || \
DROPBEAR_EXTRA_ARGS="$DROPBEAR_EXTRA_ARGS -b $DROPBEAR_BANNER"